<!DOCTYPE html>
  <head>
    <script src="https://unpkg.com/rxjs@^7/dist/bundles/rxjs.umd.min.js"></script>
    <script src="./main.js" type="module"></script>
    <script src="./code-writer.component.js" type="module"></script>
    <script src="./show-price.component.js" type="module"></script>
    <script src="./last-searchs.component.js" type="module"></script>

    <script type="module">
      import { PoteService } from './services/pote-service.js';
      /** Inyección de dependencias de pobre */
      console.log('Que hay en global 1:', global, window.global);
      var global = {
        poteService: new PoteService()
      }
      window.global = global;

      console.log('Que hay en global 2:', global, window.global);
    </script>

    <script src="./pages/login.component.js" type="module"></script>
    <script src="./pages/point-of-sale.component.js" type="module"></script>
    <script src="./pages/invoice-detail.component.js" type="module"></script>

    <script type="module">
      import {Router} from 'https://unpkg.com/@vaadin/router';
      /** Buscamos el elemento en el DOM dónde queremos que se muestren los componentes */
      const outlet = document.getElementById('outlet');
      const router = new Router(outlet);
      /** Establecer las rutas de la aplicación */
      router.setRoutes([
        {path: '/', component: 'ceco-main'},
        {path: '/login', component: 'ceco-login'},
        {path: '/pos', component: 'ceco-point-of-sale'},
        {path: '/pos/invoice/:invoiceId', component: 'ceco-invoice-detail'},
      ]);
    </script>



  </head>
  <body>
    <div class="navigation-bar">
      <a href="/">Home</a> | 
      <a href="/pos">Facturar</a> | 
      <a href="/login">Login</a> | 
    </div>

    <div>
      <h3>Facturas en espera:</h3>
      <ul>
        <li>
        <a href="/pos/invoice/0">Factura 0</a> | 
        </li>
        <!--li>
        <a href="/pos/invoice/110">Factura 1</a> | 
        </li>
      <li>
        <a href="/pos/invoice/15">Factura 3</a> | 
        </li-->
      </ul>
    </div>
    <!-- Espacio dónde se van a cargar los componentes pages de cada ruta -->
    <div
      style="margin-top: 20px; padding:20px; border: 5px dashed red"
      id="outlet">
    </div>
  </body>
</html>
<!--
Para arrancar el servidor en el directorio:
python -m SimpleHTTPServer 8001

python3 -m http.server 8001


-->